igeo.io

## Class I3DXML.PolygonalRepType

- java.lang.Object
- - igeo.io.I3DXML.VisualizationRepType
  - - igeo.io.I3DXML.PolygonalRepType

- Enclosing class:
    I3DXML

      public static class I3DXML.PolygonalRepType
      extends I3DXML.VisualizationRepType

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `double` | `accuracy`
    `java.util.ArrayList<I3DXML.PolylineSetType>` | `edges`
    `java.util.ArrayList<I3DXML.FaceSetType>` | `faces`
    `I3DXML.LineAttributesType` | `lineAttributes`
    `java.util.ArrayList<I3DXML.PolygonalLODType>` | `polygonalLOD` flag to renew vertexBuffer vertices to avoid redundunt transformation (if instantiated more than once with same vertices and transformed, it affects all of instances
    `boolean` | `solid`
    `I3DXML.SurfaceAttributesType` | `surfaceAttributes`
    `I3DXML.VertexBufferType` | `vertexBuffer`

    - ### Fields inherited from class igeo.io.I3DXML.VisualizationRepType

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PolygonalRepType()`
    `PolygonalRepType(int id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.ArrayList<IMesh>` | `instantiatePolygon(IMatrix4 transform)`
    `java.util.ArrayList<ICurve>` | `instantiatePolyline(IMatrix4 transform)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### surfaceAttributes

          public I3DXML.SurfaceAttributesType surfaceAttributes

    - #### lineAttributes

          public I3DXML.LineAttributesType lineAttributes

    - #### faces

          public java.util.ArrayList<I3DXML.FaceSetType> faces

    - #### edges

          public java.util.ArrayList<I3DXML.PolylineSetType> edges

    - #### vertexBuffer

          public I3DXML.VertexBufferType vertexBuffer

    - #### polygonalLOD

          public java.util.ArrayList<I3DXML.PolygonalLODType> polygonalLOD

      flag to renew vertexBuffer vertices to avoid redundunt transformation (if instantiated more than once with same vertices and transformed, it affects all of instances

    - #### accuracy

          public double accuracy

    - #### solid

          public boolean solid

  - ### Constructor Detail

    - #### PolygonalRepType

          public PolygonalRepType(int id)

    - #### PolygonalRepType

          public PolygonalRepType()

  - ### Method Detail

    - #### instantiatePolygon

          public java.util.ArrayList<IMesh> instantiatePolygon(IMatrix4 transform)

      Overrides:
        `instantiatePolygon` in class `I3DXML.VisualizationRepType`

    - #### instantiatePolyline

          public java.util.ArrayList<ICurve> instantiatePolyline(IMatrix4 transform)

      Overrides:
        `instantiatePolyline` in class `I3DXML.VisualizationRepType`